package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

@Entity
@Table(name = "con_detalle_partidas", schema = "dbcontabilidad")
public class DetallePartidas implements Serializable {

    @Id
    @Column(name = "id_detalle_partidas")
    private Integer idDetallePartidas;

    @Column(name = "numero_cuenta")
    private String numeroCuenta;
    @Column(name = "numero_partida")
    private String numero_partida;

    @Column(name = "anio_partida")
    private String anioPartida;

    @Column(name = "cargo_detalle")
    private BigDecimal cargoDetalle;

    @Column(name = "abono_detalle")
    private BigDecimal abonoDetalle;

    @Column(name = "nota")
    private String nota;

    public Integer getIdDetallePartidas() {
        return idDetallePartidas;
    }

    public void setIdDetallePartidas(Integer idDetallePartidas) {
        this.idDetallePartidas = idDetallePartidas;
    }

    public String getNumeroCuenta() {
        return numeroCuenta;
    }

    public void setNumeroCuenta(String numeroCuenta) {
        this.numeroCuenta = numeroCuenta;
    }

    public String getNumero_partida() {
        return numero_partida;
    }

    public void setNumero_partida(String numero_partida) {
        this.numero_partida = numero_partida;
    }

    public String getAnioPartida() {
        return anioPartida;
    }

    public void setAnioPartida(String anioPartida) {
        this.anioPartida = anioPartida;
    }

    public BigDecimal getCargoDetalle() {
        return cargoDetalle;
    }

    public void setCargoDetalle(BigDecimal cargoDetalle) {
        this.cargoDetalle = cargoDetalle;
    }

    public BigDecimal getAbonoDetalle() {
        return abonoDetalle;
    }

    public void setAbonoDetalle(BigDecimal abonoDetalle) {
        this.abonoDetalle = abonoDetalle;
    }

    public String getNota() {
        return nota;
    }

    public void setNota(String nota) {
        this.nota = nota;
    }

    public DetallePartidas() {
    }
}
